> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Entry Image



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/{imageId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/{imageId}:
    patch:
      tags:
        - Collection Media
      summary: Update Entry Image
      operationId: CollectionMediaController_updateEntryImage_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: entryId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: imageId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCollectionEntryImageDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryImagesMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    UpdateCollectionEntryImageDto:
      type: object
      properties:
        altText:
          anyOf:
            - type: string
            - type: 'null'
        isDefault:
          type: boolean
        imageVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - imageVersion
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionEntryImagesMutationResponseDto:
      type: object
      properties:
        images:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryImageDto'
        entryVersion:
          type: number
        collectionVersion:
          type: number
      required:
        - images
        - entryVersion
        - collectionVersion
    CollectionEntryImageDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        altText:
          type: string
          nullable: true
        isDefault:
          type: boolean
        position:
          type: number
        version:
          type: number
      required:
        - id
        - url
        - altText
        - isDefault
        - position
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````